Subject: RE: Intellectual Property Statement for the sampling techniques draft

From: <[email-masked]>
Date: Tue, 10 Aug 2004 10:22:57 -0400

Benoit,

The AT&T disclosure conforms to the requirements of RFC 3668; additional
information is not required.

Nick

  _____  

From: Benoit Claise [mailto:[email-masked]] 
Sent: Friday, August 06, 2004 2:16 AM
To: Duffield,Nicholas G (Nick)
Cc: [email-masked]
Subject: Re: Intellectual Property Statement for the sampling techniques
draft

Nick, 

Benoit,
 
There is a more recent and specific IP statement from AT&T that will be
referred to in the next version of the framework draft:
 
http://www.ietf.org/ietf/IPR/att-ipr-draft-ietf-psamp-framework.txt

This is good, as this is more specific.
However, shouldn't you mention to which hashing/filtering/sampling
technique(s) your IPR refers.

 
Concerning other assertions of IP rights, I was referring to the
following psamp specific statement from Cisco, which will also be
referred to in the next version:
 
http://www.ietf.org/ietf/IPR/cisco-ipr-draft-ietf-psamp-protocol.txt

Very good.

Regards, Benoit.

 
Nick

	-----Original Message-----
	From: Benoit Claise [mailto:[email-masked]]
	Sent: Thursday, August 05, 2004 9:30 PM
	To: psamp
	Subject: Intellectual Property Statement for the sampling
techniques

draft

	Hi,
	 
	During his session, Nick Duffield mentioned that he wrote an IPR

section

	in the sampling techniques draft, and that potentially we might
need

one

	for NetFlow.
	I started to investigate and this leads me to this question.
	The IPR statement is pretty vague, specifically if I follow the
link
	 
	  10.
	      Intellectual Property Statement
	 
	     AT&T Corporation may own intellectual property applicable
to
	     this
	     contribution. The IETF has been notified of AT&T's
licensing
	     intent for the specification contained in this document.
See
	     http://www.ietf.org/ietf/IPR/ATT-GENERAL.txt for AT&T's IPR
	     statement.
	 
	Should we specify exactly which method(s) AT&T has got a patent
for?

And

	what is the patent number?
	For example, the NetFlow IPR is pretty unambiguous.
	http://www.ietf.org/ietf/IPR/cisco-claise-netflow.txt
	 
	Thanks for shedding some light.
	 
	Regards, Benoit.

	--
	to unsubscribe send a message to [email-masked] with
	the word 'unsubscribe' in a single line as the message text
body.
	archive: <http://ops.ietf.org/lists/psamp/>
<http://ops.ietf.org/lists/psamp/>

---

From: Benoit Claise <[email-masked]>
Date: Thu, 12 Aug 2004 14:43:13 +0200

Hi Nick,

I'm not a lawyer! And I'm happy not to be one. ;)

However, I had to read RFC3667/3668 for the NetFlow IPR.
And I think the draft doesn't comply to it.

First of all, you must insert something like in the draft status
   By submitting this Internet-Draft, each author represents that any
   applicable patent or other IPR claims of which he or she is aware
   have been or will be disclosed, and any of which he or she becomes
   aware will be disclosed, in accordance with Section 6 of RFC 3668.

Second, I think your statement in the draft violates the rule on blanket 
statements in RFC3668

    6.4.3.  The requirement for an IPR disclosure is not satisfied by the
       submission of a blanket statement of possible IPR on every
       Contribution.  This is the case because the aim of the disclosure
       requirement is to provide information about specific IPR against
       specific technology under discussion in the IETF.  The requirement is
       also not satisfied by a blanket statement of willingness to license
       all potential IPR under fair and non-discriminatory terms for the
       same reason.  However, the requirement for an IPR disclosure is
       satisfied by a blanket statement of the IPR discloser's willingness
       to license all of its potential IPR meeting the requirements of
       Section 6.6 (and either Section 6.1.1 or 6.1.2) to implementers of an
       IETF specification on a royalty-free basis as long as any other terms
       and conditions are disclosed in the IPR disclosure statement.  

Regards, Benoit-not-a-lawyer

> Benoit,
>
>  
>
> The AT&T disclosure conforms to the requirements of RFC 3668; 
> additional information is not required.
>
>  
>
> Nick
>
>  
>
>  
>
> ------------------------------------------------------------------------
>
> *From:* Benoit Claise [mailto:[email-masked]]
> *Sent:* Friday, August 06, 2004 2:16 AM
> *To:* Duffield,Nicholas G (Nick)
> *Cc:* [email-masked]
> *Subject:* Re: Intellectual Property Statement for the sampling 
> techniques draft
>
>  
>
> Nick,
>
>Benoit,
>
> 
>
>>Subject: Intellectual Property Statement for the sampling techniques
>>
>>    
>>
>draft
>
>  
>
>>Hi,
>>
>> 
>>
>>in the sampling techniques draft, and that potentially we might need
>>
>>    
>>
>one
>
>  
>
>>for NetFlow.
>>
>>The IPR statement is pretty vague, specifically if I follow the link
>>
>> 
>>
>>  10.
>>
>>     AT&T Corporation may own intellectual property applicable to
>>
>>     this
>>
>>     contribution. The IETF has been notified of AT&T's licensing
>>
>>     intent for the specification contained in this document. See
>>
>>Should we specify exactly which method(s) AT&T has got a patent for?
>>
>>    
>>
>And
>
>  
>
>>to unsubscribe send a message to [email-masked] <mailto:[email-masked]> with
>>
>>the word 'unsubscribe' in a single line as the message text body.
>>